/* head */
.tp_head {
    background: #fff;
}

.tp_head .tp_head-search.search-box {
    padding: 0;
    width: 100%;
}

.tp_head #small-search-box-form {
    width: 100%;
}

.tp_head-nav {
    -webkit-box-shadow: none;
    box-shadow: none;
    border-bottom: 1px solid #ebebeb;
}

.tp_head-nav .tp_btn-search {
    display: none;
}

.tp_head-nav + .tp_container {
    border-bottom: 1px solid #ebebeb;
}

.tp_product-attr-options .tp_row-inner {
    margin: 0 -.625rem;
}

.tp_product-attr-options .tp_col {
    padding: 0 .625rem;
}

.tp_drop.active .tp_drop-inner {
    z-index: 1;
}

/* form */
.tp_form {
    position: relative;
    z-index: 1;
}

.tp_form label[data-required]::after {
    content: "*";
    color: var(--c-error);
    font-size: 20px;
    font-weight: 400;
    display: inline-block;
    position: relative;
    top: 2px;
    left: 3px;
}

.tp_form .field-validation-error {
    color: var(--c-error);
    display: block;
    height: 1.5rem;
    margin-top: .375rem;
    text-align: left;
}

.tp_form.tp_form-contact {
    background: var(--c-fill);
    font-size: .875rem;
    margin: 0 auto;
    padding: 0;
    position: relative;
    max-width: 45rem;
    width: 100%;
}

.tp_form-contact .form-fields {
    padding: 2rem 1.5rem;
}

.tp_form-contact .form-fields .tp_row {
    gap: 0;
}

.tp_form-contact .form-fields .inputs label {
    display: block;
    font-size: .875rem;
    margin: 0;
    text-align: left;
    padding: 0.375rem 0;
}

.tp_form-contact .form-fields input[type=email],
.tp_form-contact .form-fields input[type=text],
.tp_form-contact .form-fields textarea,
.tp_form-contact .form-fields select {
    width: 100%;
}

.tp_form-contact .form-fields select {
    cursor: pointer;
    appearance: none !important;
    -webkit-appearance: none !important;
    -moz-appearance: none !important;
}

.tp_form-contact .form-fields .captcha-box {
    text-align: left;
}

.tp_form-contact .buttons {
    text-align: center;
}

.tp_form-contact .tp_input-file {
    font-size: .875rem;
}

.tp_form.tp_form-busy::before {
    content: "";
    background: #fff;
    bottom: 0;
    left: 0;
    opacity: .5;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 5;
}

.tp_form.tp_form-busy .tp_spinner {
    display: block;
    z-index: 10;
}

.tp_form-result.tp_form-result-error,
.tp_form-result.tp_form-result-success {
    display: none;
}

.tp_form-result.tp_form-result-error ul {
    color: var(--c-error);
    list-style: initial;
    margin: 0;
    padding: 0 1rem;
}

.tp_form-result.tp_form-result-success svg {
    stroke: var(--c-success);
    width: 16px;
    height: 16px;
    margin-right: 0.5rem;
    display: inline-block;
}

.tp_form-result .tp_form-result-box {
    border: .0625rem dashed hsla(0, 0%, 53%, .333);
    padding: 1rem 1.5rem;
    position: relative;
    margin: 0 0 2rem;
}

.tp_form-result .tp_form-result-box:last-child {
    margin: 0;
}

.tp_input-file, .tp_view .tp_input-file {
    align-items: center;
    color: var(--c-primary);
    font-size: .875rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: 0 1rem;
}

.tp_input-file input[type=file] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    cursor: pointer;
    font-size: 0;
    height: 100%;
    left: 0;
    opacity: 0;
    position: absolute;
    top: 0;
    width: 100%;
}

.tp_input-file .tp_input-file-btn {
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    background: var(--c-fill, #fff);
    border: 0.125rem solid hsla(0, 0%, 6%, .3);
    border-radius: 0.375rem;
    cursor: pointer;
    display: flex;
    align-items: center;
    align-self: flex-start;
    justify-content: center;
    line-height: 1;
    margin-bottom: 0;
    outline: 0;
    padding: 0.5rem 1rem;
    position: relative;
    width: 4.5rem;
    min-height: 36px;
    min-width: 4.5rem;
}

.tp_input-file .tp_input-file-btn > svg {
    height: 16px;
    width: 16px;
}

.tp_input-file .tp_input-file-list {
    display: none;
    position: relative;
    width: 100%;
}

.tp_input-file .tp_input-file-list ul {
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    margin: 0;
    padding: 0;
    width: 100%;
}

.tp_input-file .tp_input-file-list ul li {
    margin-right: 1rem;
    white-space: nowrap;
}

.tp_input-file .tp_input-file-hint {
    display: inline-block;
}

.tp_input-file .tp_input-file-name {
    white-space: normal;
    word-break: break-all;
}

.tp_input-file .tp_input-file-remove {
    color: var(--c-error);
    display: inline-block;
    font-size: 1.5rem;
    height: 1.5rem;
    left: 0.25rem;
    line-height: .6;
    position: relative;
    top: 0.125rem;
}

.tp_input-file .tp_input-file-remove:hover {
    cursor: pointer;
}

/* mini cart */
.tp_mini-cart {
    font-size: .875rem;
    line-height: 1.333333;
    overflow: hidden;
    position: relative;
    width: 23rem;
}

.tp_mini-cart .tp_mini-cart-empty {
    padding: 3rem 1rem 1.5rem;
    text-align: center;
    white-space: nowrap;
}

.tp_mini-cart .tp_mini-cart-list {
    overflow: hidden;
    padding: 2rem 0 0;
    position: relative;
}

.tp_mini-cart .tp_mini-cart-list-wrap {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    list-style: none;
    max-height: 20rem;
    overflow: auto;
    padding: 1rem;
    scrollbar-color: var(--c-accent) var(--c-light);
    scrollbar-width: thin;
}

.tp_mini-cart .tp_mini-cart-list-wrap::-webkit-scrollbar {
    width: .375rem;
}

.tp_mini-cart .tp_mini-cart-list-wrap::-webkit-scrollbar-thumb {
    background: var(--c-accent);
    border: .0625rem solid var(--c-light);
    border-radius: 1rem;
}

.tp_mini-cart .tp_mini-cart-item {
    padding: 1rem 0;
    position: relative;
}

.tp_mini-cart .tp_mini-cart-item:not(:last-child) {
    border-bottom: 0.0625rem solid rgba(0, 0, 0, .1);
}

.tp_mini-cart .tp_mini-cart-product {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    position: relative;
}

.tp_mini-cart .tp_mini-cart-product-image {
    height: 4.375rem;
    margin-right: 1rem;
    position: relative;
    width: 4.375rem;
}

.tp_mini-cart .tp_mini-cart-product-image a {
    display: block;
}

.tp_mini-cart .tp_mini-cart-product-image img {
    height: 100%;
    -o-object-fit: contain;
    object-fit: contain;
    width: 100%;
}

.tp_mini-cart .tp_mini-cart-product-entry {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-box-pack: space-evenly;
    -ms-flex-pack: space-evenly;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    font-size: .8125rem;
    justify-content: space-evenly;
    line-height: 1.2;
    max-height: 4.375rem;
    position: relative;
}

.tp_mini-cart .tp_mini-cart-product-info a {
    color: var(--c-primary);
}

.tp_mini-cart .tp_mini-cart-product-title {
    font-size: .875rem;
    font-weight: 500;
    margin-bottom: .25rem;
}

.tp_mini-cart .tp_mini-cart-product-attrs {
    color: var(--c-primary);
    display: block;
    font-size: .8125rem;
    margin-top: .125rem;
}

.tp_mini-cart .tp_mini-cart-product-price {
    display: block;
}

.tp_mini-cart .tp_mini-cart-footer {
    background-color: #f7f7f7;
    border-bottom-left-radius: 1rem;
    border-bottom-right-radius: 1rem;
    padding: 1rem 0.9375rem;
    position: relative;
}

.tp_mini-cart .tp_mini-cart-total {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 1.5rem;
    position: static;
}

.tp_mini-cart .tp_mini-cart-total-label {
    color: var(--c-primary);
}

.tp_mini-cart .tp_mini-cart-total-value {
    color: var(--c-primary);
}

.tp_mini-cart .tp_mini-cart-buttons {
    width: 100%;
}

.tp_mobp.active .tp_mini-cart {
    width: 100%;
}

.tp_mobp.active .tp_mini-cart .tp_mini-cart-list {
    padding: 0;
}

.tp_mobp.active .tp_mini-cart .tp_mini-cart-empty {
    padding: 2rem 1rem;
}

/* product details */
.tp_product-showcase .tp_product-thumbs {
    margin: 0 auto;
    padding: 0 4rem;
    position: relative;
    width: 100%;
}

.tp_product-thumbs .tp_product-thumbs-list {
    height: 100%;
    overflow: hidden;
    position: relative;
}

.tp_product-thumbs .tp_product-thumbs-item {
    width: 33.333333%;
}

.tp_product-thumbs[data-count="2"] .tp_product-thumbs-item {
    width: 50%;
}

.tp_product-thumbs .tp_product-thumb.active, .tp_product-thumbs .tp_product-thumb:hover {
    cursor: pointer;
    opacity: 1;
}

.tp_product-thumbs [role=button][aria-disabled=true]:hover {
    cursor: default;
}

.tp_product-thumbs .tp_product-thumbs-prev, .tp_product-thumbs .tp_product-thumbs-next {
    height: 3.125rem;
    position: absolute;
    top: 50%;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    width: 3.125rem;
    z-index: 2;
}

.tp_product-thumbs .tp_product-thumbs-prev svg, .tp_product-thumbs .tp_product-thumbs-next svg {
    height: 100%;
    -webkit-filter: drop-shadow(0 0 0.2083333125rem rgba(40, 60, 80, .333));
    filter: drop-shadow(0 0 0.2083333125rem rgba(40, 60, 80, .333333));
    stroke: hsla(0, 0%, 53%, .333);
    -webkit-transition: stroke 188ms ease-in-out;
    transition: stroke 188ms ease-in-out;
    width: 100%;
}

.tp_product-thumbs .tp_product-thumbs-prev:not([aria-disabled=true]):hover svg,
.tp_product-thumbs .tp_product-thumbs-next:not([aria-disabled=true]):hover svg {
    stroke: var(--c-accent);
}

.tp_product-thumbs .tp_product-thumbs-prev {
    left: 0;
}

.tp_product-thumbs .tp_product-thumbs-next {
    right: 0;
}

.tp_product-article .tp_product-gifts .gift-promotion {
    margin-top: 1rem;
}

.payment-page .order-total strong {
    color: currentColor;
    font-size: 1.25rem;
    font-weight: 600;
}

.payment-page .cancel-order-button {
    border-radius: 3rem;
    padding: .75rem 1.5rem
}
